## PopplerMovie PopplerMovie — Movies |

## Functions

void | poppler_movie_get_aspect ()
guint64 | poppler_movie_get_duration ()
const gchar * | poppler_movie_get_filename ()
PopplerMoviePlayMode | poppler_movie_get_play_mode ()
gdouble | poppler_movie_get_rate ()
gushort | poppler_movie_get_rotation_angle ()
guint64 | poppler_movie_get_start ()
gdouble | poppler_movie_get_volume ()
gboolean | poppler_movie_is_synchronous ()
gboolean | poppler_movie_need_poster ()
gboolean | poppler_movie_show_controls ()

## Types and Values

| PopplerMovie
enum | PopplerMoviePlayMode

## Object Hierarchy

        GEnum
        ╰── PopplerMoviePlayMode
        GObject
        ╰── PopplerMovie

## Includes

    #include <poppler.h>

## Description

## Functions

### poppler_movie_get_aspect ()

    void
    poppler_movie_get_aspect (PopplerMovie *poppler_movie,
                              gint *width,
                              gint *height);

Returns the dimensions of the movie's bounding box (in pixels). The respective PDF movie dictionary entry is optional; if missing, -1x-1 will be returned.

#### Parameters

poppler_movie | a PopplerMovie |
width | width of the movie's bounding box |
height | height of the movie's bounding box |

Since: 0.89

### poppler_movie_get_duration ()

    guint64
    poppler_movie_get_duration (PopplerMovie *poppler_movie);

Returns the duration of the movie playback

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

the duration of the movie playback (in ns)

Since: 0.80

### poppler_movie_get_filename ()

    const gchar *
    poppler_movie_get_filename (PopplerMovie *poppler_movie);

Returns the local filename identifying a self-describing movie file

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

a local filename, return value is owned by PopplerMovie and should not be freed

Since: 0.14

### poppler_movie_get_play_mode ()

    PopplerMoviePlayMode
    poppler_movie_get_play_mode (PopplerMovie *poppler_movie);

Returns the play mode of `poppler_movie` .

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

a PopplerMoviePlayMode.

Since: 0.54

### poppler_movie_get_rate ()

    gdouble
    poppler_movie_get_rate (PopplerMovie *poppler_movie);

Returns the relative speed of the movie

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

the relative speed of the movie (1 means no change)

Since: 0.80

### poppler_movie_get_rotation_angle ()

    gushort
    poppler_movie_get_rotation_angle (PopplerMovie *poppler_movie);

Returns the rotation angle

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

the number of degrees the movie should be rotated (positive, multiples of 90: 0, 90, 180, 270)

Since: 0.80

### poppler_movie_get_start ()

    guint64
    poppler_movie_get_start (PopplerMovie *poppler_movie);

Returns the start position of the movie playback

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

the start position of the movie playback (in ns)

Since: 0.80

### poppler_movie_get_volume ()

    gdouble
    poppler_movie_get_volume (PopplerMovie *poppler_movie);

Returns the playback audio volume

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

volume setting for the movie (0.0 - 1.0)

Since: 0.80

### poppler_movie_is_synchronous ()

    gboolean
    poppler_movie_is_synchronous (PopplerMovie *poppler_movie);

Returns whether the user must wait for the movie to be finished before the PDF viewer accepts any interactive action

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

`TRUE` if yes, `FALSE` otherwise

Since: 0.80

### poppler_movie_need_poster ()

    gboolean
    poppler_movie_need_poster (PopplerMovie *poppler_movie);

Returns whether a poster image representing the Movie shall be displayed. The poster image must be retrieved from the movie file.

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

`TRUE` if move needs a poster image, `FALSE` otherwise

Since: 0.14

### poppler_movie_show_controls ()

    gboolean
    poppler_movie_show_controls (PopplerMovie *poppler_movie);

Returns whether to display a movie controller bar while playing the movie

#### Parameters

poppler_movie | a PopplerMovie |

#### Returns

`TRUE` if controller bar should be displayed, `FALSE` otherwise

Since: 0.14

## Types and Values

### PopplerMovie

    typedef struct _PopplerMovie PopplerMovie;

### enum PopplerMoviePlayMode

Play mode enum values.

#### Members

POPPLER_MOVIE_PLAY_MODE_ONCE | the movie should be played once and controls should be closed at the end. |
POPPLER_MOVIE_PLAY_MODE_OPEN | the movie should be played once, but controls should be left open. |
POPPLER_MOVIE_PLAY_MODE_REPEAT | the movie should be played in loop, until manually stopped. |
POPPLER_MOVIE_PLAY_MODE_PALINDROME | the movie should be played forward and backward, forward and backward, and so forth, until manually stopped. |

Since: 0.54